## gr-fosphor 3.7.0.1.e1eb11b

=== grc/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

list_cond_append(ENABLE_GLFW fosphor_grc fosphor_glfw_sink_c.xml)
list_cond_append(ENABLE_QT   fosphor_grc fosphor_qt_sink_c.xml)
list_cond_append(ENABLE_WX   fosphor_grc fosphor_wx_sink_c.xml)

install(FILES
    ${fosphor_grc}
    DESTINATION share/gnuradio/grc/blocks
)

=== lib/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup library
########################################################################
include(GrPlatform) #define LIB_SUFFIX
include(GrMiscUtils)

find_package(PythonInterp 2)

add_custom_command(
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/fosphor
  OUTPUT fosphor/resource_data.c
  DEPENDS fosphor/fft.cl fosphor/display.cl fosphor/cmap_simple.glsl fosphor/cmap_bicubic.glsl fosphor/cmap_fallback.glsl fosphor/DroidSansMonoDotted.ttf
  COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/fosphor/
  COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/fosphor/llist.h ${CMAKE_CURRENT_BINARY_DIR}/fosphor/
  COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/fosphor/resource_internal.h ${CMAKE_CURRENT_BINARY_DIR}/fosphor/
  COMMAND ${PYTHON_EXECUTABLE} -B mkresources.py fft.cl display.cl cmap_simple.glsl cmap_bicubic.glsl cmap_fallback.glsl DroidSansMonoDotted.ttf > ${CMAKE_CURRENT_BINARY_DIR}/fosphor/resource_data.c
)

include_directories(
	${OPENGL_INCLUDE_DIRS}
	${OpenCL_INCLUDE_DIRS}
	${FREETYPE2_INCLUDE_DIRS}
	${Boost_INCLUDE_DIR}
)
link_directories(
	${OPENGL_LIBRARY_DIRS}
	${OpenCL_LIBRARY_DIRS}
	${FREETYPE2_LIBRARY_DIRS}
	${Boost_LIBRARY_DIRS}
)

if(ENABLE_PYTHON)
    add_definitions(-DENABLE_PYTHON)
    include_directories(${PYTHON_INCLUDE_DIRS})
endif(ENABLE_PYTHON)

if(ENABLE_GLFW)
    include_directories(${GLFW3_INCLUDE_DIRS})
    link_directories(${GLFW3_LIBRARY_DIRS})
endif(ENABLE_GLFW)

if(ENABLE_QT)
    set(CMAKE_AUTOMOC ON)
    include_directories(${QT_INCLUDE_DIRS})
endif(ENABLE_QT)

list(APPEND fosphor_sources
	fosphor/axis.c
	fosphor/cl.c
	fosphor/cl_compat.c
	fosphor/fosphor.c
	fosphor/gl.c
	fosphor/gl_cmap.c
	fosphor/gl_cmap_gen.c
	fosphor/gl_font.c
	fosphor/resource.c
	fosphor/resource_data.c
	fifo.cc
	base_sink_c_impl.cc
)

list_cond_append(ENABLE_GLFW fosphor_sources glfw_sink_c_impl.cc)
list_cond_append(ENABLE_QT   fosphor_sources QGLSurface.cc qt_sink_c_impl.cc)
list_cond_append(ENABLE_WX   fosphor_sources wx_core_sink_c_impl.cc)

list(APPEND fosphor_libraries 
	${OPENGL_LIBRARIES}
	${OpenCL_LIBRARIES}
	${FREETYPE2_LIBRARIES}
	${Boost_LIBRARIES}
	${GNURADIO_ALL_LIBRARIES}
	${CMAKE_DL_LIBS}
)

list_cond_append(ENABLE_PYTHON fosphor_libraries ${PYTHON_LIBRARY})
list_cond_append(ENABLE_GLFW fosphor_libraries ${GLFW3_LIBRARIES})
list_cond_append(ENABLE_QT   fosphor_libraries ${QT_LIBRARIES})

add_library(gnuradio-fosphor SHARED ${fosphor_sources})
target_link_libraries(gnuradio-fosphor ${fosphor_libraries})
set_target_properties(gnuradio-fosphor PROPERTIES DEFINE_SYMBOL "gnuradio_fosphor_EXPORTS")

GR_LIBRARY_FOO(gnuradio-fosphor)

=== include/gnuradio/fosphor/CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Install public header files
########################################################################
list(APPEND fosphor_headers
    api.h
    base_sink_c.h
)

list_cond_append(ENABLE_GLFW fosphor_headers glfw_sink_c.h)
list_cond_append(ENABLE_QT   fosphor_headers qt_sink_c.h)
list_cond_append(ENABLE_WX   fosphor_headers wx_core_sink_c.h)

install(FILES
    ${fosphor_headers}
    DESTINATION include/gnuradio/fosphor
)

=== debian/changelog ===
gr-fosphor (3.7.0.1.e1eb11b-1) unstable; urgency=medium

  * New upstream git
    gr-fosphor: Use FindOpenCL from cmake git master
    fosphor/cl: Allow one to use APIs deprecated in CL >= 1.2
  * narrow boost depends to system and thread
  * build with gnuradio 3.7.9

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 01 Feb 2016 18:35:21 -0500

gr-fosphor (3.7.0.0.4ae2f53-1) unstable; urgency=medium

  * New upstream, initial upload to Debian (Closes: #782420)
  * build with gnuradio 3.7.8

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 13 Nov 2015 21:03:12 -0500

gr-fosphor (0grcon13-1) unstable; urgency=low

  * Initial package

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 02 Oct 2013 23:20:41 -0400

=== debian/control ===
Source: gr-fosphor
Section: libdevel
Priority: extra
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               doxygen,
               gnuradio-dev (>>3.7.8),
	       libboost-system-dev,
	       libboost-thread-dev,
               libcppunit-dev (>=1.9.14),
               libfreetype6-dev,
	       libftgl-dev,
               libgl1-mesa-dev,
               libglfw3-dev,
               liblog4cpp5-dev,
               libqt4-opengl-dev,
               libqwt5-qt4-dev,
               libqwtplot3d-qt4-dev,
               ocl-icd-opencl-dev | amd-opencl-dev | nvidia-opencl-dev,
               pkg-config,
               pyqt4-dev-tools,
               python-qwt5-qt4,
               qt4-dev-tools,
               swig (>=1.3.31)
Standards-Version: 3.9.6
Homepage: http://sdr.osmocom.org/trac/wiki/fosphor
Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-fosphor.git
Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-fosphor.git/

Package: gr-fosphor
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: gnuradio-dev,
         libgnuradio-fosphor3.7.0  (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: gnuradio fosphor block (GPU spectrum display)
 This implements a GNU Radio sink consisting of a GL display window
 that provides a Real Time Spectrum Analyzer (RTSA)-like spectrum
 visualization using OpenCL and OpenGL acceleration.
 .
 To use the fosphor blocks in Python, import it as :
 .
 from gnuradio import fosphor
 .
 See the Doxygen documentation for details about the blocks available
 in this package. A quick listing of the details can be found in Python
 after importing by using:
 .
 help(fosphor)

Package: libgnuradio-fosphor3.7.0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gr-fosphor
Description: gnuradio fosphor block (GPU spectrum display) (library)
 This implements a GNU Radio sink consisting of a GL display window
 that provides a Real Time Spectrum Analyzer (RTSA)-like spectrum
 visualization using OpenCL and OpenGL acceleration.
 .
 This package provides a shared library.

## gr-fosphor 3.7.0.2.7b6b996

=== CMakeLists.txt ===
# Copyright 2011,2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.


########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(gr-fosphor CXX C)
enable_testing()

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

# Set the version information here
set(VERSION_INFO_MAJOR_VERSION 3)
set(VERSION_INFO_API_COMPAT    7)
set(VERSION_INFO_MINOR_VERSION 0)
set(VERSION_INFO_MAINT_VERSION git)
include(GrVersion) #setup version info

########################################################################
# Compiler specific setup
########################################################################
if(CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

########################################################################
# Find boost
########################################################################
if(UNIX AND EXISTS "/usr/lib64")
    list(APPEND BOOST_LIBRARYDIR "/usr/lib64") #fedora 64-bit fix
endif(UNIX AND EXISTS "/usr/lib64")
set(Boost_ADDITIONAL_VERSIONS
    "1.35.0" "1.35" "1.36.0" "1.36" "1.37.0" "1.37" "1.38.0" "1.38" "1.39.0" "1.39"
    "1.40.0" "1.40" "1.41.0" "1.41" "1.42.0" "1.42" "1.43.0" "1.43" "1.44.0" "1.44"
    "1.45.0" "1.45" "1.46.0" "1.46" "1.47.0" "1.47" "1.48.0" "1.48" "1.49.0" "1.49"
    "1.50.0" "1.50" "1.51.0" "1.51" "1.52.0" "1.52" "1.53.0" "1.53" "1.54.0" "1.54"
    "1.55.0" "1.55" "1.56.0" "1.56" "1.57.0" "1.57" "1.58.0" "1.58" "1.59.0" "1.59"
    "1.60.0" "1.60" "1.61.0" "1.61" "1.62.0" "1.62" "1.63.0" "1.63" "1.64.0" "1.64"
    "1.65.0" "1.65" "1.66.0" "1.66" "1.67.0" "1.67" "1.68.0" "1.68" "1.69.0" "1.69"
)
find_package(Boost "1.35" COMPONENTS system thread)

if(NOT Boost_FOUND)
    message(FATAL_ERROR "Boost required to compile gr-fosphor")
endif()

add_definitions(-DBOOST_ALL_DYN_LINK)

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX
set(GR_RUNTIME_DIR      bin)
set(GR_LIBRARY_DIR      lib${LIB_SUFFIX})
set(GR_INCLUDE_DIR      include)
set(GR_DATA_DIR         share)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_DOC_DIR          ${GR_DATA_DIR}/doc)
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_CONF_DIR         etc)
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_LIBEXEC_DIR      libexec)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})
set(GRC_BLOCKS_DIR      ${GR_PKG_DATA_DIR}/grc/blocks)

########################################################################
# Find gr-fosphor build dependencies
########################################################################

# Required
find_package(OpenGL)
if(NOT OPENGL_FOUND)
	message(FATAL_ERROR "OpenGL required to compile gr-fosphor")
endif()

find_package(OpenCL)
if(NOT OpenCL_FOUND)
	message(FATAL_ERROR "OpenCL required to compile gr-fosphor")
endif()

find_package(Freetype)
if(NOT FREETYPE_FOUND)
	message(FATAL_ERROR "freetype2 required to compile gr-fosphor")
endif()

# Optional
find_package(GLFW3)

find_package(Qt4 4.2.0 COMPONENTS QtCore QtGui QtOpenGL)
if (QT_FOUND)
    include(GrSetupQt4)
endif (QT_FOUND)

########################################################################
# Find gnuradio build dependencies
########################################################################
set(GR_REQUIRED_COMPONENTS RUNTIME FFT)
find_package(Gnuradio 3.7.3 REQUIRED)

find_package(CppUnit)
if(NOT CPPUNIT_FOUND)
    message(FATAL_ERROR "CppUnit required to compile gr-fosphor")
endif()

find_package(Doxygen)

find_package(PythonLibs 2)

find_package(SWIG)

########################################################################
# Setup the components
########################################################################

include(GrComponent)

GR_REGISTER_COMPONENT("Python" ENABLE_PYTHON
    PYTHONLIBS_FOUND SWIG_FOUND
)

GR_REGISTER_COMPONENT("GLFW" ENABLE_GLFW
    GLFW3_FOUND
)

GR_REGISTER_COMPONENT("QT" ENABLE_QT
    QT_FOUND
)

GR_REGISTER_COMPONENT("WX" ENABLE_WX
    PYTHONLIBS_FOUND SWIG_FOUND ENABLE_PYTHON
)

macro(list_cond_append cond list_name)
    if(${cond})
        list(APPEND ${list_name} ${ARGN})
    endif(${cond})
endmacro(list_cond_append)

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${Boost_INCLUDE_DIRS}
    ${CPPUNIT_INCLUDE_DIRS}
    ${GNURADIO_ALL_INCLUDE_DIRS}
)

link_directories(
    ${Boost_LIBRARY_DIRS}
    ${CPPUNIT_LIBRARY_DIRS}
    ${GNURADIO_ALL_LIBRARY_DIRS}
)

# Set component parameters
set(GR_FOSPHOR_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)
set(GR_FOSPHOR_SWIG_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/swig CACHE INTERNAL "" FORCE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/gnuradio/fosphor)
add_subdirectory(lib)

if(ENABLE_PYTHON)
    add_subdirectory(swig)
    add_subdirectory(python)
    add_subdirectory(grc)
    add_subdirectory(apps)
endif(ENABLE_PYTHON)

add_subdirectory(docs)

########################################################################
# Create Pkg Config File
########################################################################
file(TO_NATIVE_PATH "${CMAKE_INSTALL_PREFIX}"           prefix)
file(TO_NATIVE_PATH "\${prefix}"                        exec_prefix)
file(TO_NATIVE_PATH "\${exec_prefix}/${GR_LIBRARY_DIR}" libdir)
file(TO_NATIVE_PATH "\${prefix}/${GR_INCLUDE_DIR}"      includedir)

configure_file(
	${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-fosphor.pc.in
	${CMAKE_CURRENT_BINARY_DIR}/gnuradio-fosphor.pc
@ONLY)

install(
	FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-fosphor.pc
	DESTINATION ${GR_LIBRARY_DIR}/pkgconfig
)

########################################################################
# Print Summary
########################################################################
GR_PRINT_COMPONENT_SUMMARY()
MESSAGE(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -38,15 +38,22 @@
 include_directories(
 	${OPENGL_INCLUDE_DIRS}
 	${OpenCL_INCLUDE_DIRS}
-	${FREETYPE2_INCLUDE_DIRS}
+	${FREETYPE_INCLUDE_DIRS}
 	${Boost_INCLUDE_DIR}
 )
 link_directories(
 	${OPENGL_LIBRARY_DIRS}
 	${OpenCL_LIBRARY_DIRS}
-	${FREETYPE2_LIBRARY_DIRS}
+	${FREETYPE_LIBRARY_DIRS}
 	${Boost_LIBRARY_DIRS}
 )
+
+if(WIN32)
+   find_package(GLEW REQUIRED)
+   include_directories(${GLEW_INCLUDE_DIRS})
+   list(APPEND fosphor_libraries ${GLEW_LIBRARIES})
+   add_definitions(-DENABLE_GLEW)
+endif(WIN32)
 
 if(ENABLE_PYTHON)
     add_definitions(-DENABLE_PYTHON)
@@ -85,7 +92,7 @@
 list(APPEND fosphor_libraries 
 	${OPENGL_LIBRARIES}
 	${OpenCL_LIBRARIES}
-	${FREETYPE2_LIBRARIES}
+	${FREETYPE_LIBRARIES}
 	${Boost_LIBRARIES}
 	${GNURADIO_ALL_LIBRARIES}
 	${CMAKE_DL_LIBS}

=== python/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include python install macros
########################################################################
include(GrPython)
if(NOT PYTHONINTERP_FOUND)
    return()
endif()

########################################################################
# Install python sources
########################################################################
list(APPEND fosphor_python
    __init__.py
)

list_cond_append(ENABLE_WX fosphor_python wx_sink_c.py)

GR_PYTHON_INSTALL(
    FILES
    ${fosphor_python}
    DESTINATION ${GR_PYTHON_DIR}/gnuradio/fosphor
)

########################################################################
# Handle the unit tests
########################################################################
include(GrTest)

set(GR_TEST_TARGET_DEPS gnuradio-fosphor)
set(GR_TEST_PYTHON_DIRS ${CMAKE_BINARY_DIR}/swig)

=== swig/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Include swig generation macros
########################################################################
find_package(SWIG)
find_package(PythonLibs 2)
if(NOT SWIG_FOUND OR NOT PYTHONLIBS_FOUND)
    return()
endif()
include(GrSwig)
include(GrPython)

########################################################################
# Setup swig generation
########################################################################
foreach(incdir ${GNURADIO_ALL_INCLUDE_DIRS})
    list(APPEND GR_SWIG_INCLUDE_DIRS ${incdir}/gnuradio/swig)
endforeach(incdir)

set(GR_SWIG_LIBRARIES gnuradio-fosphor)
set(GR_SWIG_DOC_FILE ${CMAKE_CURRENT_BINARY_DIR}/fosphor_swig_doc.i)
set(GR_SWIG_DOC_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../include/gnuradio/fosphor)

list_cond_append(ENABLE_GLFW GR_SWIG_FLAGS -DENABLE_GLFW)
list_cond_append(ENABLE_QT   GR_SWIG_FLAGS -DENABLE_QT)
list_cond_append(ENABLE_WX   GR_SWIG_FLAGS -DENABLE_WX)

GR_SWIG_MAKE(fosphor_swig fosphor_swig.i)

########################################################################
# Install the build swig module
########################################################################
GR_SWIG_INSTALL(TARGETS fosphor_swig DESTINATION ${GR_PYTHON_DIR}/gnuradio/fosphor)

########################################################################
# Install swig .i files for development
########################################################################
install(
    FILES
    fosphor_swig.i
    ${CMAKE_CURRENT_BINARY_DIR}/fosphor_swig_doc.i
    DESTINATION ${GR_INCLUDE_DIR}/gnuradio/fosphor/swig
)

=== debian/changelog ===
gr-fosphor (3.7.0.2.7b6b996-2) unstable; urgency=medium

  * build with gnuradio 3.7.10

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 04 Sep 2017 00:49:56 -0400

gr-fosphor (3.7.0.2.7b6b996-1) unstable; urgency=medium

  * New upstream git
  * build with gnuradio 3.7.10

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 10 Jul 2016 20:15:44 -0400

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,23 @@
 Build-Depends: cmake,
                debhelper (>= 9.0.0~),
                doxygen,
-               gnuradio-dev (>>3.7.8),
-	       libboost-system-dev,
-	       libboost-thread-dev,
+               gnuradio-dev (>=3.7.11),
+               libboost-system-dev,
+               libboost-thread-dev,
                libcppunit-dev (>=1.9.14),
                libfreetype6-dev,
-	       libftgl-dev,
                libgl1-mesa-dev,
                libglfw3-dev,
                liblog4cpp5-dev,
                libqt4-opengl-dev,
                libqwt5-qt4-dev,
-               libqwtplot3d-qt4-dev,
                ocl-icd-opencl-dev | amd-opencl-dev | nvidia-opencl-dev,
                pkg-config,
                pyqt4-dev-tools,
                python-qwt5-qt4,
                qt4-dev-tools,
                swig (>=1.3.31)
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: http://sdr.osmocom.org/trac/wiki/fosphor
 Vcs-Git: https://anonscm.debian.org/git/users/bottoms/pkg-gr-fosphor.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/bottoms/pkg-gr-fosphor.git/
@@ -32,7 +30,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: gnuradio-dev,
-         libgnuradio-fosphor3.7.0  (=${binary:Version}),
+         libgnuradio-fosphor3.7.11  (=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: gnuradio fosphor block (GPU spectrum display)
@@ -50,7 +48,7 @@
  .
  help(fosphor)
 
-Package: libgnuradio-fosphor3.7.0
+Package: libgnuradio-fosphor3.7.11
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_auto_install:
	dh_auto_install
	find .
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/gnuradio/fosphor/*pyc
	rm -f debian/tmp/usr/lib/python2.7/dist-packages/gnuradio/fosphor/*pyo
